# Uses of Enum Class
org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability

Packages that use IDBPreparedStatement.ReuseProbability
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.

## Uses of IDBPreparedStatement.ReuseProbability in org.eclipse.net4j.db

Methods in org.eclipse.net4j.db that return IDBPreparedStatement.ReuseProbability
Modifier and Type
Method
Description
`IDBPreparedStatement.ReuseProbability`
IDBPreparedStatement.`getReuseProbability()`
`static IDBPreparedStatement.ReuseProbability`
IDBPreparedStatement.ReuseProbability.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDBPreparedStatement.ReuseProbability[]`
IDBPreparedStatement.ReuseProbability.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.db with parameters of type IDBPreparedStatement.ReuseProbability
Modifier and Type
Method
Description
`IDBPreparedStatement`
IDBConnection.`prepareStatement(String sql, int resultSetType, int resultSetConcurrency, IDBPreparedStatement.ReuseProbability reuseProbability)`
`IDBPreparedStatement`
IDBConnection.`prepareStatement(String sql, IDBPreparedStatement.ReuseProbability reuseProbability)`